> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/transit-digitization/integrate-d1-transit-api/prepare-personalization-data.md).

# Prepare personalization data

The following section defines the list of data elements that shall be returned by Transit Issuer in getDigitalCardBundleData response, in order to build the digital card bundles.

Depending on the application technology, the list of elements differs.

### EMV <a href="#emv" id="emv"></a>

| Name                 | Format | Description                                                                                                                      | Example                         |
| -------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| acIssuerMasterKeyId  | String | Identifier of the IMK that is derived to obtain ICC Master Keys used to compute application cryptograms.                         | "G0DB5.LIVE.IMK225563.IMKAC.01" |
| acDerivationKeyIndex | String | Derivation Key Index that identifes the IMK AC used to derive ICC Master Keys. This value is personalized into the digital card. | "01"                            |
| cardData             | String | <p>Encrypted cardData using JWE encryption as defined in Data Encryption.<br>See format below.</p>                               |                                 |

#### Card Data <a href="#pure" id="pure"></a>

JSON object defined as follows:

| JSON parameter name     | Description                                                                                                                                                                                                    | Sample value                    |
| ----------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| pan                     | <p>The PAN (Primary Account Number) value.</p><p><strong>Required</strong><br></p>                                                                                                                             | "4929403965000868"              |
| exp                     | <p>The card expiry date 'MMYY' format.<br><strong>Required</strong></p>                                                                                                                                        | "1228"                          |
| panSequenceNumber       | <p>The PAN sequence number.<br>Default value set to "01"</p>                                                                                                                                                   | "03"                            |
| paymentAccountReference | <p>The Payment Account Reference(PAR).</p><p>The PAR Data is comprised of a 4 character BIN Controller Identifier assigned by EMVCo to Registered BIN Controllers followed by a unique 25 character value.</p> | "512381D9F8E0629211E3949A08002" |
| initialAtc              | <p>Initial Application Transaction Counter value.<br>Default value set to "0001"</p>                                                                                                                           | "000A"                          |

Sample payload:

```json
{
  "pan": "4929403965000868",
  "exp": "1228",
  "panSequenceNumber": "01",
  "paymentAccountReference": "512381D9F8E0629211E3949A08002",
  "initialAtc": "0001"
}
```

#### PURE <a href="#pure" id="pure"></a>

The following data elements are to be provided, in addition, when PURE application is used (not applicable to Apple)

| Name                 | Format | Description                                                                                                                      | Example                         |
| -------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| lcIssuerMasterKeyId  | String | Identifier of the IMK that is derived to obtain ICC Master Keys used to compute local CDCVM stamp cryptograms.                   | "G0DB5.LIVE.IMK225563.IMKAC.12" |
| lcDerivationKeyIndex | String | Derivation Key Index that identifes the IMK LC used to derive ICC Master Keys. This value is personalized into the digital card. | "04"                            |

### Calypso <a href="#calypso" id="calypso"></a>

| Name            | Format                 | Description                                                                                                                                                                                                                                      | Example                                                      |
| --------------- | ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------ |
| applicationType | String                 | <p>Indicates the type of Calypso application to personalize.</p><ul><li>01 for Navigo</li><li>02 for Triangle 2/Hoplink</li><li>03 for AMC</li><li>00 for other Calypso applications</li></ul>                                                   | "00"                                                         |
| issuerKeyId     | Hexa String            | <p>Issuer Key identifier (KIF KVC)<br>Used for DGI 4101</p>                                                                                                                                                                                      | "217E"                                                       |
| loadKeyId       | Hexa String            | <p>Load Key identifier (KIF KVC)<br>Used for DGI 4102</p>                                                                                                                                                                                        | "277E"                                                       |
| validationKeyId | Hexa String            | <p>Validation Key identifier (KIF KVC)<br>Used for DGI 4103</p>                                                                                                                                                                                  | "307E"                                                       |
| signatureKey1Id | Hexa String            | <p>Key identifier (KIF KVC) that represents either:</p><ul><li>the signature with HSM key for applicationType ='02' or '03'</li><li>or the signature Key #1 for applicationType ='01'</li></ul><p>Not applicable for applicationType = '00'</p>  | "EC15"                                                       |
| signatureKey2Id | Hexa String            | <p>Key identifier (KIF KVC) that represents either:</p><ul><li>the AES-CTR ciphering key for applicationType = '02' or '03'</li><li>or the signature Key #2 for applicationType = '01'</li></ul><p>Not applicable for applicationType = '00'</p> | "EC45"                                                       |
| signatureKey3Id | Hexa String            | <p>Key identifier (KIF KVC) that represents the PID generation key for applicationType = '03'<br><br>Not applicable for applicationType = '00', '01' and '02'</p>                                                                                | "EC75"                                                       |
| signatureKey4Id | Hexa String            | <p>Key identifier (KIF KVC) that represents the PID signature key for applicationType = '03'<br><br>Not applicable for applicationType = '00', '01' and '02'</p>                                                                                 | "EC95"                                                       |
| dgixxxx         | Hexa String (29 bytes) | <p>Value of the DGI to personalize.<br>'xxxx' shall represent the DGI tag, e.g. dgi0903 is for DGI Tag = '0903'</p>                                                                                                                              | "00000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF" |

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/transit-digitization/integrate-d1-transit-api/prepare-personalization-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
